Loading...
Searching...
No Matches
pcl::TimGrabber Class Reference

`#include <pcl/io/tim_grabber.h>`

Inheritance diagram for pcl::TimGrabber:

## Public Types

using | sig_cb_sick_tim_scan_point_cloud_xyz = void(const pcl::PointCloud< pcl::PointXYZ >::ConstPtr &)

## Public Member Functions

| TimGrabber ()
| TimGrabber (const boost::asio::ip::address &ipAddress, const std::uint16_t port)
| ~TimGrabber () noexcept override
void | start () override
| For devices that are streaming, the streams are started by calling this method.
void | stop () override
| For devices that are streaming, the streams are stopped.
std::string | getName () const override
| returns the name of the concrete subclass.
bool | isRunning () const override
| Indicates whether the grabber is streaming or not.
Public Member Functions inherited from pcl::Grabber
| Grabber ()=default
| Default ctor.
| Grabber (const Grabber &)=delete
| No copy ctor since Grabber can't be copied.
Grabber & | operator= (const Grabber &)=delete
| No copy assign operator since Grabber can't be copied.
| Grabber (Grabber &&)=default
| Move ctor.
Grabber & | operator= (Grabber &&)=default
| Move assign operator.
virtual | ~Grabber () noexcept=default
| virtual destructor.
template<typename T >
boost::signals2::connection | registerCallback (const std::function< T > &callback)
| registers a callback function/method to a signal with the corresponding signature
template<typename T >
bool | providesCallback () const noexcept
| indicates whether a signal with given parameter-type exists or not
bool | toggle ()
| For devices that are streaming, stopped streams are started and running stream are stopped.

## Protected Member Functions

void | publishSignal ()
void | processTimPacket (std::string const &packet)
void | updateLookupTables ()
void | toPointClouds ()
Protected Member Functions inherited from pcl::Grabber
virtual void | signalsChanged ()
template<typename T >
boost::signals2::signal< T > * | find_signal () const noexcept
template<typename T >
int | num_slots () const noexcept
template<typename T >
void | disconnect_all_slots ()
template<typename T >
void | block_signal ()
template<typename T >
void | unblock_signal ()
void | block_signals ()
void | unblock_signals ()
template<typename T >
boost::signals2::signal< T > * | createSignal ()

## Protected Attributes

pcl::PointCloud< pcl::PointXYZ >::Ptr | point_cloud_xyz_ptr_
boost::signals2::signal< sig_cb_sick_tim_scan_point_cloud_xyz > * | point_cloud_xyz_signal_
Protected Attributes inherited from pcl::Grabber
std::map< std::string, std::unique_ptr< boost::signals2::signal_base > > | signals_
std::map< std::string, std::vector< boost::signals2::connection > > | connections_
std::map< std::string, std::vector< boost::signals2::shared_connection_block > > | shared_connections_

## Detailed Description

Definition at line 71 of file tim_grabber.h.

## Member Typedef Documentation

## sig_cb_sick_tim_scan_point_cloud_xyz

using pcl::TimGrabber::sig_cb_sick_tim_scan_point_cloud_xyz = void (const pcl::PointCloud<pcl::PointXYZ>::ConstPtr&)

Definition at line 74 of file tim_grabber.h.

## Constructor & Destructor Documentation

## TimGrabber() [1/2]

pcl::TimGrabber::TimGrabber | ( |  | ) |

## TimGrabber() [2/2]

pcl::TimGrabber::TimGrabber | ( | const boost::asio::ip::address & | ipAddress,
|  | const std::uint16_t | port
| ) |  |

## ~TimGrabber()

pcl::TimGrabber::~TimGrabber | ( |  | ) |

override noexcept

## Member Function Documentation

## getName()

std::string pcl::TimGrabber::getName | ( |  | ) | const

override virtual

returns the name of the concrete subclass.

Returns
  the name of the concrete driver.

Implements pcl::Grabber.

## isRunning()

bool pcl::TimGrabber::isRunning | ( |  | ) | const

override virtual

Indicates whether the grabber is streaming or not.

This value is not defined for triggered devices.

Returns
  true if grabber is running / streaming. False otherwise.

Implements pcl::Grabber.

## processTimPacket()

void pcl::TimGrabber::processTimPacket | ( | std::string const & | packet | ) |

protected

## publishSignal()

void pcl::TimGrabber::publishSignal | ( |  | ) |

protected

## start()

void pcl::TimGrabber::start | ( |  | ) |

override virtual

For devices that are streaming, the streams are started by calling this method.

Trigger-based devices, just trigger the device once for each call of start.

Implements pcl::Grabber.

## stop()

void pcl::TimGrabber::stop | ( |  | ) |

override virtual

For devices that are streaming, the streams are stopped.

This method has no effect for triggered devices.

Implements pcl::Grabber.

## toPointClouds()

void pcl::TimGrabber::toPointClouds | ( |  | ) |

protected

## updateLookupTables()

void pcl::TimGrabber::updateLookupTables | ( |  | ) |

protected

## Member Data Documentation

## point_cloud_xyz_ptr_

pcl::PointCloud<pcl::PointXYZ>::Ptr pcl::TimGrabber::point_cloud_xyz_ptr_

protected

Definition at line 93 of file tim_grabber.h.

## point_cloud_xyz_signal_

boost::signals2::signal<sig_cb_sick_tim_scan_point_cloud_xyz>* pcl::TimGrabber::point_cloud_xyz_signal_

protected

Definition at line 94 of file tim_grabber.h.

The documentation for this class was generated from the following file:

- pcl/io/tim_grabber.h